Bug 458660 - Review Request: perl-Graph-Easy
Review Request: perl-Graph-Easy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 458653 458661
  Show dependency treegraph
 
Reported: 2008-08-11 08:35 EDT by Marcela Mašláňová
Modified: 2008-10-03 02:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 02:11:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2008-08-11 08:35:26 EDT
Graph::Easy lets you generate graphs consisting of various shaped nodes
connected by edges (with optional labels).

http://mmaslano.fedorapeople.org/perl-Graph-Easy/perl-Graph-Easy-0.63-1.fc9.src.rpm

Could someone double check the licence?
Comment 1 Chris Weyl 2008-08-12 15:14:07 EDT
Marcela -- is someone reviewing this?  The fedora-review flag is set to "?", which should indicate a review is in process, but no one is assigned to it...  If no one is working it, the flag should be unset so people (like me ;)) know they can review :)
Comment 2 Marcela Mašláňová 2008-08-13 02:11:35 EDT
Argh, you're right. I overlooked this in guidelines :( 

You can take it.
Comment 3 Ralf Corsepius 2008-08-16 02:30:16 EDT
We're having a problem:

perl-Graph-Easy and perl-Graph-Easy-As_svg have circular build- and run-time dependencies.

AFAIS, at least the circular build-dependency can be resolved by removing BuildRequires: perl-Graph-Easy-As_svg
from perl-Graph-Easy.
Comment 4 Marcela Mašláňová 2008-08-18 03:46:41 EDT
I know we use in some packages cyclic dependencies. But here should be ok to remove them.
Comment 5 Ralf Corsepius 2008-08-18 04:11:44 EDT
(In reply to comment #4)
> I know we use in some packages cyclic dependencies.
> But here should be ok to remove them.
Resolving the cyclic build-dep is a MUSTFIX, otherwise you won't be able to bootstrap this package.

Afterwards, once this package in Fedora, and when it's being built incrementally, cyclic deps are tolerable. (The normal way to circumvent such issues is add build-conditionals (use %_with_*/%_without_* inside of the *.spec to support rpmbuild --with/--without)

In any case you should file  a bug upstream. It's an upstream design flaw.
Comment 6 Marcela Mašláňová 2008-08-18 04:33:20 EDT
> Resolving the cyclic build-dep is a MUSTFIX, otherwise you won't be able to
> bootstrap this package.
Yeah, that's obvious.

> In any case you should file  a bug upstream. It's an upstream design flaw.
In Makefile.PL is Graph::Easy::As_svg only _recommend_, so there's no need to file a bug.
Comment 7 Marcela Mašláňová 2008-08-29 06:27:35 EDT
ping?
Comment 8 Jason Tibbitts 2008-10-01 13:11:24 EDT
Is there an updated package for review?

I'll go ahead and fix up the dependencies so that this ticket shows up in the review queue and Graph::Easy::As_svg depends on it.
Comment 9 Marcela Mašláňová 2008-10-02 06:30:19 EDT
Well, this package was needed and maybe will be needed again for Padre. Could we close it, when we don't need it at this moment?
Comment 10 Jason Tibbitts 2008-10-02 11:37:24 EDT
If it's no longer needed, obviously you can close the review ticket and anything which depends on it.  Its up to you, and there is certainly no shortage of packages for me to review.

Note You need to log in before you can comment on or make changes to this bug.